This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 437200 - upstart places in /etc/event.d a configuration file not marked "%config"
upstart places in /etc/event.d a configuration file not marked "%config"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 16:22 EDT by Michal Jaegermann
Modified: 2014-06-18 04:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 16:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-03-12 16:22:07 EDT
Description of problem:

That is from an initscripts spec file and precisely as one would expect:

%config(noreplace) /etc/event.d/*

Similarly files from that directory owned by event-compat-sysv are
also "config".  That is not the case for what is placed there by
upstart (currently only /etc/event.d/logd).  That means that if
somebody will make local changes in that file then they will be
silently clobbered on the next upstart update.

Version-Release number of selected component (if applicable):
upstart-0.3.9-9.fc9
Comment 1 Casey Dahlin 2008-03-12 16:33:30 EDT
Fixed. Building now.

Note You need to log in before you can comment on or make changes to this bug.